/****************************************/
/*		Alapelemek		*/
/****************************************/

html,body {
	margin: 0px;
	padding: 0px;
	font-family: verdana,sans-serif;
	font-size: 90%;
	background: url(../img/background.png) no-repeat #cddfd3;
}

/* Mozilla */
html>body #all {
	height: auto;
	min-height: 100%;
}

a		{ color: #3d6f3c; text-decoration: none;}
a:visited	{ color: #4b7863; }
a:hover		{ color: #0c0; text-decoration: none;}
a:active	{ color: #00c;}

p	{ margin: .3em 0}

table {	border: none;
	border-spacing: 0px;
	border-collapse: collapse; }
img {border:none;}
/* ikont/gombot tartalmazó oszlop*/
colgroup.icon { background-color:green !important}
col.icon { background-color:green !important; color:red}


/****************************************/
/*		Címsorok 		*/
/****************************************/
h1 {	margin-top:0;
	background: #3f5c40;
	color:#74ab93;
	padding-left:0.8em;
	font-size:12pt;
	font-family: Arial, Helvetica, serif;
	padding-bottom:2px;
	}
h1 a { color: #9c9; }
h1 a:visited { color: #9c9; }

h2 {	color: #131;
	text-align:center;
	font-size:1.2em;
	border: solid #9a9;
	border-width: 0 0 2px 0;
	padding-left:1em;
	margin: 0.4em auto;
	text-align:left;
	}

/****************************************/
/* 		Adattáblázatok		*/
/****************************************/

table.data {
	font-family: Verdana;
	border: solid black;
	border-width:0px;
/*	background-color:#e7e7f0; */
}
table.data th {
	background-color: #cdc;
	font-size:  8pt;
	font-family: Arial, Helvetica, serif;
	font-weight: bold;
	text-align: center;
	padding-left: 1em;
	padding-right: 1em;
	margin-bottom:0.5em;
	border:none;
	border-bottom:1px;
}
table.data tr {	background-color: #ded; }
table.data td {
	vertical-align: top;
	border: solid black;
	border-width:1px;
	padding: 2px;
}
table.data em {font-weight:bold; }

/****************************************/
/* Általános figyelmeztető üzenet 	*/
/****************************************/

.warning, .error{
	font-size: 14pt;
	color: #d77;
	font-family: Arial, Helvetica,serif;
}

.hint {
	font-size:smaller;
	color: #787;
}

/****************************************/
/*	Gombszerű linkek 		*/
/****************************************/

.button {
	margin-right: 1em;
	margin-left: auto;
	font-size:1.2em;
	cursor: pointer;
	color:#252;
	border: 1px solid #494;
	background-color: #aba;
	border-radius: 4px;
}

a.button {
	padding-left:0.4em;
	padding-right:0.4em;
	text-align:center;
}

a:hover.button {
	background-color: #cec;
	border-color: #ddd #777 #777 #ddd;
	text-decoration: none;
}

.addbutton {
	font-weight:bold;
	font-size: large;
	background-color: rgba(74, 99, 99, 0.2);
	width:1em;
	line-height:1em;
	border:1px solid #3f5c40;
	cursor:pointer;
	border-radius:7px;
}

frameset {
	border-radius:4px;
}

/****************************************/
/* 		Űrlapok 		*/
/****************************************/
.form {
	background-color: #ded;
	border: solid 1px;
	border-color: #666 #333 #333 #666;
	margin-left:auto;
	margin-right:auto;
	padding: 0 0.8em;
	font-family: Arial, Helvetica, serif;
	border-radius: 4px;
	box-shadow: 4px 4px 5px 0px rgba(0,0,0,0.55);
}

table.form {
	border-spacing: 2px;
	border-collapse: separate;
}

.form input, .form textarea {
	font: 12px arial;
}


.form label {
	display:block;
	float:left;
	padding-left:0.2em;
	text-align:left;
	width:10em;
	}
.form label input, .form label select {
	margin:0;
	margin-right:0.5em;
	padding:0;
	vertical-align:middle;
	}
.form br {clear:both; }
.buttonrow {
	margin: 0.5em 0;
	text-align: right;
	padding-right:10px;
	padding-top:.6em;
	border-top: 3px dotted #ccd;
	}

/****************************************/
/*		Side menu		*/
/****************************************/
ul.menu, ul.hmenu{ list-style-type:none; margin:0px; padding:0 0.5em}
ul.menu {
	float:right; 
	border-left:2px solid #9a9; 
	padding-bottom:1em; 
	border-radius: 4px;
}
.menu li a{
	color: #050;
	border:4px solid #7e997d;
	border-width: 1px 1px 1px 6px;
	background: #ada;
	display:block;
	width:12em;
	margin-top:1em;
	margin-left:0.5em;
	padding:2px;
	border-radius:4px;
	box-shadow: 3px 3px 4px rgba(0,0,0,0.4);
}
.menu a:visited { color: #050; }
.menu a:hover { 
	text-decoration:none; background-color: #beeebe;
	box-shadow: 5px 5px 6px rgba(0,0,0,0.4);
}

/****************************************/
/*		horizontal menu		*/
/****************************************/
.hmenu li { display:inline; }
.hmenu li a{
	color: #050;
	border:1px solid #6a8169;
	background: #a8c8bb;
	display:inline;
	width:12em;
	margin-top:1em;
	margin-left:0.5em;
	padding: 2px 0.5em ;
	font-family: Arial, Helvetica;
	border-radius: 0 0 6px 6px;
	box-shadow: 3px 3px 3px 0px rgba(0,0,0,0.75);
}
.hmenu a:visited { color: #050; }
.hmenu a:hover { text-decoration:none; background-color: #cfc; border-color: #9ba}

/************************************/
/*        special head              */
/************************************/
h1.lefthead {
	text-align:right;
	box-sizing:border-box;
	padding:1vw;
	position: fixed;
	width:100vh;
	left:0;
	top:100vh;
	transform-origin: top left;
	transform: rotate(-90deg) ;
	opacity:0.8;
}

/************************************/
/*        Workhour 		    */
/************************************/

input.hourInput {
	background-color: #efe;
	border: 1px solid #cdc;
	border-radius: 3px;
}

table.fixhead {
	overflow-y:scroll;
	overflow-x:hidden; 
	display:block; 
	height:95vh;
	border-collapse: separate;
	border-spacing:0;
}

table.fixhead td {
	border: none;
	border-left: 1px solid black;
	border-bottom: 1px solid black;
}

table.fixhead thead tr { height:20px;}
table.fixhead thead th {
	position: sticky;
	top:0;
	border:none;
	border-left: solid 1px black;
}
table.fixhead thead tr.sub th {
	top:20px;
}
table.fixhead thead tr.subsub th {
	top:40px;
	border-bottom: double 3px black;
}

